%define major	3
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name: 	 	rasqal
Summary: 	RDF querying library
Group:		Databases
Version: 	0.9.33
Release: 	%mkrel 3
License:	LGPL
URL:		http://librdf.org/rasqal/
Source:		http://librdf.org/dist/source/%{name}-%{version}.tar.xz
#----------------------------------
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gmp-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}mpfr-devel
BuildRequires: %{_lib}pcre0-devel
BuildRequires: %{_lib}raptor2-devel
BuildRequires: %{_lib}uuid-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires:	flex bison
#----------------------------------

%description
Rasqal handles Resource Description Framework (RDF) query syntaxes, query
construction and query execution returning result bindings. The supported
query languages are RDQL and SPARQL.  Rasqal was designed to work closely
with the Redland RDF library but is entirely separate. It is intended to be
a portable library working across many POSIX systems (Unix, GNU/Linux,
BSDs, OSX, cygwin) win32 and others.

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING* ChangeLog LICENSE* NEWS* NOTICE README*
%{_bindir}/roqet
%{_mandir}/man1/roqet*

#--------------------------------------------------------------------
%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Obsoletes:	%{mklibname rasqal 0} >= 0.9.16

%description -n %{libname}
Dynamic libraries from %name.

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/librasqal.so.%{major}*

#--------------------------------------------------------------------
%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/Libraries
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Provides:	lib%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel < %{version}-%{release}
Obsoletes:	%mklibname -d %name 0

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/%name-config
%multiarch %{multiarch_bindir}/%name-config
%{_includedir}/rasqal
%{_libdir}/librasqal.so
%{_libdir}/pkgconfig/rasqal.pc
%{_mandir}/man1/rasqal-config.*
%{_mandir}/man3/librasqal.*
%{_datadir}/gtk-doc/html/%name/

#--------------------------------------------------------------------
%prep
%setup -q

%build
%configure2_5x --disable-static
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}/%{_bindir}/%{name}-config

rm -fr %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%changelog
* Mon Oct 04 2021 tex - 0.9.33-3pclos2021
- rebuild against updates

* Tue May 02 2017 bb2 <bb2> - 0.9.33-2pclos2017
- rebuild new gcrypt

* Sun Jan 03 2016 bb <bb> - 0.9.33-1pclos2016
- update

* Thu Mar 19 2015 bb <bb> - 0.9.32-1pclos2015
- update

